WIP: Add fractional scaling to wayland scaling GUI
AbandonedPublic

Authored by davidedmundson on Jul 2 2018, 1:03 PM.

Details

Reviewers
None
Group Reviewers
Plasma
Summary

DO NOT MERGE AS-IS

Diff Detail

Repository
R104 KScreen
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 557
Build 569: arc lint + arc unit
davidedmundson created this revision.Jul 2 2018, 1:03 PM
Restricted Application added a project: Plasma. · View Herald TranscriptJul 2 2018, 1:03 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
davidedmundson requested review of this revision.Jul 2 2018, 1:03 PM
gvarsanyi added inline comments.
kcm/src/outputconfig.cpp
145

For some extra-high DPI displays even higher settings will are needed. E.g. 13" 4k laptops (there are many of these now) need 3x scale, 15" 4k ones 2.5x. Or desktop monitors, like Dell's 32" 8k monitor is 2.5x, 2.75x or 3x.

davidedmundson abandoned this revision.Aug 7 2018, 8:33 PM
fcucchetto added a subscriber: fcucchetto.EditedDec 31 2018, 2:24 PM

Is there a reason why this has been abandoned? @davidedmundson

Was uploaded so someone else could test the rest of the underlying stuff that's merged.

It runtime requires Qt 5.12 for xdg-output which the shell needs for fullscreen, which means we can merge for Plasma 5.16

It runtime requires Qt 5.12 for xdg-output which the shell needs for fullscreen, which means we can merge for Plasma 5.16

Is this going to be merged for 5.16? We only have a few more weeks until feature freeze.